%%% $Id: cover.cls,v 1.4 1997/01/30 09:12:26 mad Exp $
%%% 1996-12-20 Modified by MAEDA Atusi mad@nak.math.keio.ac.jp
%%% based on hyoushi.sty 16-Dec-95 by Satomi Hayashi satomi@nak.math.keio.ac.jp
%%%
%%% $B;H$$J}(B:
%%%   \documentclass{cover}
%%%   $B$K$h$j!$$3$N%I%-%e%a%s%H%/%i%9$r;XDj$7$^$9!%(B
%%%
%%% preamble$BIt$K$F!$(B
%%%    \$B;aL>(B{$B;aL>(B}
%%%    \$BBjL\(B{$BBjL\(B}
%%%    \$BI{Bj(B{$BI{Bj(B}
%%%    \$BG/EY(B{$B?t(B}
%%%    \$B;XF36541(B{$B;XF36541L>(B}
%%%    \$B@l96(B{$B@l96(B}
%%%    \$B3X@RHV9f(B{$B3X@RHV9f(B}
%%% $B$r@_Dj$7$F$*$-!$(B\begin{document}$B$N8e$K(B
%%%    \makecover
%%% $B$r9T$J$&;v$G%+%P!<$,=PMh$^$9!%(B
%
\NeedsTeXFormat{pLaTeX2e}%
\ProvidesClass{cover}[1997/1/30 keio thesis cover style]%
\LoadClass[a4paper]{jarticle}%
%
\DeclareOption*{\PassOptionsToPackage\CurrentOption{cover}}%
\AtEndOfClass{%
  \voffset=-1in%
  \hoffset=-1in%
  \topmargin=0mm%
  \headsep=0mm%
  \headheight=0mm%
  \footskip=0mm%
  \evensidemargin=0mm%
  \oddsidemargin=0mm%
  \textwidth=\paperwidth%
  \textheight=\paperheight%
}%
\def\$BG/EY(B#1{%
    \if$B@>Nq(B%
      \gdef\@year{#1$BG/(B}%
      \gdef\@tyear{\kansuji#1$BG/(B}%
    \else \@tempcnta#1%
    \advance\@tempcnta-1988%
      \gdef\@year{$BJ?@.(B#1$BG/(B}%
      \gdef\@tyear{$BJ?@.(B\kansuji#1$BG/(B}%
    \fi%
}%
\def\$BBjL\(B#1{\gdef\@title{#1}}%
\newif\ifsubtitle%
\subtitlefalse%
\def\$BI{Bj(B#1{\subtitletrue\gdef\@subtitle{#1}}%
\def\spc#1{ \spcloop#1\end}%
\def\spcloop#1{\ifx#1\end\let\next=\relax%
  \else%
    \space #1%
    \let\next=\spcloop%
  \fi%
  \next}%
\def\$B;aL>(B#1{\gdef\@author{\spc{#1}}}%
\def\$B;XF36541(B#1{\gdef\@supervisor{\spc{#1}}}%
\def\$B@l96(B#1{\gdef\@major{\spc{#1}}}%
\def\$B3X@RHV9f(B#1{\gdef\@studentid{\spc{#1}}}%
\def\@title{\ClassError{cover}{\noexpand\$BBjL\(B $B$,$J$$$h(B}{}}%
\def\@year{\ClassError{cover}{\noexpand\$BG/EY(B $B$,$J$$$h(B}{}}%
\let\@subtitle\@empty%
\def\@author{\ClassError{cover}{\noexpand\$B;aL>(B $B$,$J$$$h(B}{}}%
\def\@supervisor{\ClassError{cover}{\noexpand\$B;XF36541(B $B$,$J$$$h(B}{}}%
\def\@major{\ClassError{cover}{\noexpand\$B@l96(B $B$,$J$$$h(B}{}}%
\def\@studentid{\ClassError{cover}{\noexpand\$B3X@RHV9f(B $B$,$J$$$h(B}{}}
%
\newcommand{\fonta}[1]{\large #1}%
\newcommand{\fontb}[1]{\Large #1}%
\newcommand{\fontc}[1]{\huge #1}%
\newcommand{\fontd}[1]{\Huge #1}%
\newcommand{\fonte}[1]{\small #1}%
\newcommand{\fontf}[1]{\normalsize #1}%
\newcommand{\fontg}[1]{\LARGE #1}
%
\def\makecover{\begin{titlepage}%
\begin{center}%
\unitlength=1mm%
\begin{picture}(210,297)(-10,0)%
  \put(0,250){\framebox(120,40){}}%
  \put(0,125){\framebox(120,40){}}%
  \ifsubtitle{%
    \put(0,255){\makebox(120,40){\fontb \@title }}%
    \put(0,245){\makebox(120,40){\fontb \@subtitle }}%
    \put(0,130){\makebox(120,40){\fontb \@title }}%
    \put(0,120){\makebox(120,40){\fontb \@subtitle }}%
    \put(168,140){\makebox(6,150)[l]{\vbox{\tate\fontb \@title}}}%
    \put(161,130){\makebox(6,150)[l]{\vbox{\tate\fontb \@subtitle}}}%
    \put(148,140){\makebox(6,150)[l]{\vbox{\tate \fontb \@title}}}%
    \put(141,130){\makebox(6,150)[l]{\vbox{\tate\fontb \@subtitle}}}%
  }\else{%
    \put(0,250){\makebox(120,40){\fontb \@title }}%
    \put(0,125){\makebox(120,40){\fontb \@title }}%
    \put(160,140){\makebox(15,150){\vbox{\tate\fontb \@title}}}%
    \put(140,140){\makebox(15,150){\vbox{\tate \fontb \@title}}}%
  }\fi%
  \put(0,220){\framebox(104,26){\fontb \@supervisor}}%
  \put(0,95){\framebox(104,26){\fontb \@supervisor}}%
  \put(0,24){\framebox(77,15){\fontb \@major \space $B@l(B $B96(B}}%
  \put(100,24){\framebox(77,15){\fontb \@major \space $B@l(B $B96(B}}%
  \put(0,5){\framebox(57,15){\fontb \@studentid}}%
  \put(100,5){\framebox(57,15){\fontb \@studentid}}%
  \put(0,205){\framebox(104,13){\fontb \@year $BEY(B}}%
  \put(0,80){\framebox(104,13){\fontb \@year $BEY(B}}%
  \put(0,170){\framebox(104,30){\fontb \@author}}%
  \put(0,45){\framebox(104,30){\fontb \@author}}%
  \put(140,130){\framebox(15,150){}}%
  \put(140,115){\framebox(15,15) {\vbox{\tate\fonte \@tyear}}}%
  \put(140,41){\framebox(15,74){\vbox{\tate\fontc \@author}}}%
  \put(160,130){\framebox(15,150){}}%
  \put(160,115){\framebox(15,15) {\fonte \@year}}%
  \put(160,41){\framebox(15,74){\vbox{\tate\fontc \@author}}}%
\end{picture}%
\end{center}%
\end{titlepage}}
